Page MenuHomePhabricator

Newcomer tasks: mobile preview
Open, Needs TriagePublic

Description

All homepage modules on mobile have a "mobile preview" that is on the homepage itself, which is like a mini summary of the module. The user clicks that to open up the full module. This task describes the mobile preview for the suggested edits module.

Mockup here

  • The preview should be the second preview in the list, after the start module preview.
  • Header: "Suggested edits"
  • The body contains an editing graphic.
  • Next to the editing graphic is a statistic about editing volume on the wiki. That number should be the number of edits in the main namespace done by human users (not bots) that happened the day before. It should be labeled like "4,356 edits in the last day".
  • The footer should say, "Volunteers like you have contributed to improving <Wiki project> today. Join in!" <Wiki project> should be the name of the project, like "Czech Wikipedia" or "French Wiktionary".

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterTweak suggested edits mobile summary styles
mediawiki/extensions/GrowthExperiments : masterMobile summary for suggested edits

Event Timeline

MMiller_WMF added a project: Mobile.

This task is ready for development.

Tgr claimed this task.Oct 18 2019, 12:35 PM
Tgr added a comment.Oct 18 2019, 12:50 PM

@MMiller_WMF:

That number should be the number of edits in the main namespace done by human users (not bots) that happened the day before.

Is that the number of edits during the previous (UTC) calendar day? So let's say the user visits the page on Tuesday, then this would be the number of edits that happened on Monday between 0-24h (UTC)?
That would be relatively simple as we could use the AQS edits API. Since we shouldn't rely on external APIs always being available, we'll need an alternative text for times when the API is unreachable and we don't have a number.

<Wiki project> should be the name of the project, like "Czech Wikipedia" or "French Wiktionary".

This question came up in one of the design presentations, but I don't think it was followed up: do you think there is significant added value in saying "Czech Wikipedia" instead of "Wikipedia"? It will be significantly more work.
(Translations are not site-specific; there is a {{SITENAME}} magic word we can put in a message to make the site name show up. We'd have to create a {{FULLSITENAME}} or similar magic word to handle this new language + project site name, then find some way to determine which sites need a language (e.g. Wikipedia does but Wikidata doesn't), and deal with grammatical word changes, like the site name being different in accusative - probably we can just copy those behaviors from {{SITENAME}} but I'm not really familiar with how it works.)

nray moved this task from Needs triage to Triaged on the Mobile board.Oct 18 2019, 10:39 PM

@Tgr -- thanks for reading this closely and for the questions.

  • It is not important for the number in the preview to be completely accurate -- it is more so that the user gets the general impression of how much activity is happening on the wiki. Whatever is the easiest way to get a "daily edit count" number is fine (but it should be a specific number, e.g. "3,598" as opposed to "3,000", because we want the user to understand that the number is "live").
  • The rationale around the full project name comes from @RHo's learnings from Advancement: that fundraising works better when it is about your specific world, and you say like, "Your donation will help Czech Wikipedia" as opposed to "Your donation will help Wikipedia". So we want to try it -- but how much additional work will it be (like in days of work)?
Tgr added a comment.Oct 22 2019, 5:25 AM

So we want to try it -- but how much additional work will it be (like in days of work)?

Maybe a day? It's not a vast amount of work, just more than you'd expect for a single word to cost.

Tgr added a comment.Oct 22 2019, 7:02 AM

Is this for NewcomerTasks 1.0 ?

It was on the top of the ready for development column so I'd assume so.

Change 545216 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/GrowthExperiments@master] Mobile summary for suggested edits

https://gerrit.wikimedia.org/r/545216

@Tgr -- with this additional work, would we be able to use that construction "Czech Wikipedia" in many places? Or in just this one place? If in many places, then we should do it -- because it exists in many other places in the copy for the newcomer tasks workflow as a whole.

@kostajh -- yes this is for 1.0. Thanks for adding the tag.

Tgr added a comment.Oct 22 2019, 6:05 PM

If in many places, then we should do it -- because it exists in many other places in the copy for the newcomer tasks workflow as a whole.

Ack. Filed as a separate task: T236195: Newcomer tasks: create {{FULLSITENAME}} magic word

Change 545216 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Mobile summary for suggested edits

https://gerrit.wikimedia.org/r/545216

Etonkovidova added a comment.EditedOct 28 2019, 11:02 PM

I'll list here what UI issues I've seen testing mobile - some of them might be just temporary due to some work in progress.
@Tgr, @RHo - please review to see which issues should be addressed.

(1) General question about navigation - whether it's ok to have the following steps to activate Suggested edits module. I bolded the actions that felt redundant.

  1. A user clicks on Homepage 'Start editing'
  2. 'Start here' overlay is presented and a user needs to scroll down to see 'Start editing'
  3. The difficulty overlay is presented. 'Get suggestions' button is clicked .
  4. 'Start here' overlay is presented again after brief flash of Homepage A user needs to close 'Start here' module to get back to Homepage and see 'Suggested edits' module

(2) The difficulty level labels are not centered

Compare with the desktop:

(3) "Get suggestions' and 'Cancel' buttons partially overlay the last portion of text

(4) The progress indicator looks a little bit too overwhelming?

(5) On a real device - iPhone 6s) the difficulty overlay doesn't displays the icons. I cannot reproduce it on any of the emulators though.

(6)

That number should be the number of edits in the main namespace done by human users >(not bots) that happened the day before. It should be labeled like "4,356 edits in the last >day".

Only few articles on 'Suggested edits' display the number of pageviews.

@Etonkovidova -- I think the items you listed here belong on a different task, probably on some combination of T232423, T235046, and T232419. Could you put them in those places?

This task is about this screen only:

RHo added a comment.Oct 29 2019, 2:23 PM

hi @Etonkovidova and @Tgr - two things to note:

  1. The mobile overlays should have buttons in a sticky footer (standard behaviour for OOUI mobile dialogs)
  2. Mobile version of the difficulty overlay has a single column
Tgr added a comment.Oct 29 2019, 3:49 PM

@Etonkovidova most of these are known, the relevant tasks have not been started yet. (1) is known but not associated to a task (maybe T232513: Newcomer tasks: homepage changes based on initiation (mobile) sort of?). (6) is a beta limitation (we get the search results from cswiki but pageviews from enwiki; you only see the metric for titles which exist on both).

@MMiller_WMF I reviewed T232423, T235046, and T232419 and the small issues that I found while testing mobile do not quite fit the scope of those tickets. Since such issues may need to be addressed before the release, I filed two separate tasks

(1 T236851 and made it as a subtask for T232419
(2) and (3) are specific to mobile, but not to this task - T236854

This task is about this screen only:

@RHo - please take a look - the light bulb icon is not on the mockup, but everything else (per the scope of the task) seems to be in place:
Mobile view of Suggested edits module.

thanks @Etonkovidova and @Tgr - given that the modules do not yet have the other updated styles the illustration looks a bit cramped in that top left corner of the module. Would it be possible to add a padding: 4px 0 0 4px;1 to the .suggested-edits-main class so that there is a bit more breathing space?

then it's ready for @MMiller_WMF to review the copy parts of the task.

Change 547761 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/GrowthExperiments@master] Tweak suggested edits mobile summary styles

https://gerrit.wikimedia.org/r/547761

Change 547761 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Tweak suggested edits mobile summary styles

https://gerrit.wikimedia.org/r/547761

The last patch changes are in place:

The overall look:

'Start here' overlay is presented again after brief flash of Homepage A user needs to close 'Start here' module to get back to Homepage and see 'Suggested edits' module

I pushed a patch to address this, it's attached to T232513

Mobile Suggested Edits preview looks good now, thanks!

This looks good to me. The only thing is that it says there are 0 edits. I'll assume that this is a beta labs thing, and we'll see actual numbers in production. Leaving this in my column for now, until we see it in production.

Tgr added a comment.Nov 6 2019, 12:00 AM

Yeah, that's a beta thing (fixable, but I don't think it's worth the effort).